# Update

Launch stage: GA

`POST /api/2.0/mlflow/runs/update`

Updates run metadata.

API scopes: mlflow

## Request body

- `run_id` (string, optional)
  ID of the run to update. Must be provided.
- `run_uuid` (string, optional)
  [Deprecated, use `run_id` instead] ID of the run to update. This field will
   be removed in a future MLflow version.
- `status` (string, optional)
  Updated status of the run.
  Possible values: `RUNNING`, `SCHEDULED`, `FINISHED`, `FAILED`, `KILLED`
- `end_time` (int64, optional)
  Unix timestamp in milliseconds of when the run ended.
- `run_name` (string, optional)
  Updated name of the run.

## Returns

- `run_info` (object, optional)
  Updated metadata of the run.
  - `run_id` (string, optional)
    Unique identifier for the run.
  - `run_uuid` (string, optional)
    [Deprecated, use run_id instead] Unique identifier for the run. This field will
     be removed in a future MLflow version.
  - `experiment_id` (string, optional)
    The experiment ID.
  - `run_name` (string, optional)
    The name of the run.
  - `user_id` (string, optional)
    User who initiated the run.
     This field is deprecated as of MLflow 1.0, and will be removed in a future
     MLflow release. Use 'mlflow.user' tag instead.
  - `status` (string, optional)
    Current status of the run.
    Possible values: `RUNNING`, `SCHEDULED`, `FINISHED`, `FAILED`, `KILLED`
  - `start_time` (int64, optional)
    Unix timestamp of when the run started in milliseconds.
  - `end_time` (int64, optional)
    Unix timestamp of when the run ended in milliseconds.
  - `artifact_uri` (string, optional)
    URI of the directory where artifacts should be uploaded.
     This can be a local path (starting with "/"), or a distributed file system (DFS)
     path, like ``s3://bucket/directory`` or ``dbfs:/my/directory``.
     If not set, the local ``./mlruns`` directory is  chosen.
  - `lifecycle_stage` (string, optional)
    Current life cycle stage of the experiment : OneOf("active", "deleted")

## Response

```json
{
  "run_info": {
    "run_id": "string",
    "run_uuid": "string",
    "experiment_id": "string",
    "run_name": "string",
    "user_id": "string",
    "status": "string",
    "start_time": 0,
    "end_time": 0,
    "artifact_uri": "string",
    "lifecycle_stage": "string"
  }
}
```

